Package org.eclipse.microprofile.config.tck

## Class AutoDiscoveredConfigSourceTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.AutoDiscoveredConfigSourceTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

    public class AutoDiscoveredConfigSourceTest
    extends org.jboss.arquillian.testng.Arquillian

Verify the method addDiscoveredSources() on ConfigBuilder.

Author:
  Emily Jiang, Mark Struberg

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
`AutoDiscoveredConfigSourceTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `testAutoDiscoveredConfigureSources()`
`void` `testAutoDiscoveredConverterManuallyAdded()`
`void` `testAutoDiscoveredConverterNotAddedAutomatically()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AutoDiscoveredConfigSourceTest

    public AutoDiscoveredConfigSourceTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### testAutoDiscoveredConfigureSources

    public void testAutoDiscoveredConfigureSources()

#### testAutoDiscoveredConverterManuallyAdded

    public void testAutoDiscoveredConverterManuallyAdded()

#### testAutoDiscoveredConverterNotAddedAutomatically

    public void testAutoDiscoveredConverterNotAddedAutomatically()